Bug 1052171 - ODBC drivers not working on Solaris 11
Summary: ODBC drivers not working on Solaris 11
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Productization
Version: 6.0.0
Hardware: Unspecified
OS: Solaris
unspecified
urgent
Target Milestone: ---
: ---
Assignee: Mladen Turk
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-13 12:45 UTC by Filip Nguyen
Modified: 2014-07-09 05:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-06 15:36:52 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1053302 0 unspecified CLOSED Client Development Guide - ODBC 2021-02-22 00:41:40 UTC

Internal Links: 1053302

Description Filip Nguyen 2014-01-13 12:45:07 UTC
I have tried to install the following drivers [1] to Solaris 11. It fails because it cannot find /opt/redhat/jboss-dv/v6/psqlodbc/lib64/psqlodbc.so.

The file indeed doesnt exist [2]. 

My installation procedure: 
  1) Download the driver and unpack to /opt
  2) Set ODBCINI enviro variable to existing odbc.ini (I take the sample file from the unpacked directory /opt/redhat/jboss-dv/v6/psqlodbc/etc
  3) run "isql eds < query.sql"


[1] http://www.qa.jboss.com/xbuildroot/packages/ep6/jboss-dv-psqlodbc/6.0.0/


[2] 
[root@dev33 odbc]# ls /opt/redhat/jboss-dv/v6/psqlodbc/lib64/
engines                  libgssapi_krb5.so        libk5crypto.so.3         libkadm5srv_mit.so.8     libkrb5.so.3             libodbc.so.2.0.0         libpq.so
krb5                     libgssapi_krb5.so.2      libk5crypto.so.3.1       libkadm5srv_mit.so.8.0   libkrb5.so.3.3           libodbccr.so             libpq.so.5
libcom_err.so            libgssapi_krb5.so.2.2    libkadm5clnt_mit.so      libkadm5srv.so           libkrb5support.so        libodbccr.so.2           libpq.so.5.5
libcom_err.so.3          libgssrpc.so             libkadm5clnt_mit.so.8    libkdb5.so               libkrb5support.so.0      libodbccr.so.2.0.0       libssl.so
libcom_err.so.3.0        libgssrpc.so.4           libkadm5clnt_mit.so.8.0  libkdb5.so.5             libkrb5support.so.0.1    libodbcinst.so           libssl.so.0
libcrypto.so             libgssrpc.so.4.1         libkadm5clnt.so          libkdb5.so.5.0           libodbc.so               libodbcinst.so.2         psqlodbca.so
libcrypto.so.0           libk5crypto.so           libkadm5srv_mit.so       libkrb5.so               libodbc.so.2             libodbcinst.so.2.0.0     psqlodbcw.so

Comment 5 Van Halbert 2014-01-13 15:58:50 UTC
Go with UNICODE and if there is an older operating system and they need ANSI, we can document to change the symlink.

Comment 6 Mladen Turk 2014-01-13 21:10:23 UTC
(In reply to Van Halbert from comment #5)
> Go with UNICODE and if there is an older operating system and they need
> ANSI, we can document to change the symlink.

Version from
http://www.qa.jboss.com/xbuildroot/packages/ep6/jboss-dv-psqlodbc/6.0.0/2.sun10/
Contains a symlink psqlodbc.so -> psqlodbcw.so

Comment 7 Filip Nguyen 2014-01-16 10:57:02 UTC
This version still doesn't work [1]. It probably has some other dependencies but I cannot figure out which [2]. Could you assist please?

[1] 
bash-4.1# isql eds < query.sql -v
[01000][unixODBC][Driver Manager]Can't open lib '/opt/redhat/jboss-dv/v6/psqlodbc/lib64/psqlodbc.so' : file not found
[ISQL]ERROR: Could not SQLConnect

[2] 
bash-4.1# ldd /opt/redhat/jboss-dv/v6/psqlodbc/lib64/psqlodbc.so
        libsocket.so.1 =>        /lib/64/libsocket.so.1
        libnsl.so.1 =>   /lib/64/libnsl.so.1
        librt.so.1 =>    /lib/64/librt.so.1
        libresolv.so.2 =>        /lib/64/libresolv.so.2
        libssl.so.0 =>   /opt/redhat/jboss-dv/v6/psqlodbc/lib64//libssl.so.0
        libpq.so.5 =>    /opt/redhat/jboss-dv/v6/psqlodbc/lib64//libpq.so.5
        libpthread.so.1 =>       /lib/64/libpthread.so.1
        libodbcinst.so.2 =>      /opt/redhat/jboss-dv/v6/psqlodbc/lib64//libodbcinst.so.2
        libthread.so.1 =>        /lib/64/libthread.so.1
        libc.so.1 =>     /lib/64/libc.so.1
        libmp.so.2 =>    /lib/64/libmp.so.2
        libmd.so.1 =>    /lib/64/libmd.so.1
        libcrypto.so.0 =>        /opt/redhat/jboss-dv/v6/psqlodbc/lib64//libcrypto.so.0
        libdl.so.1 =>    /lib/64/libdl.so.1
        libm.so.2 =>     /lib/64/libm.so.2
        /lib/sparcv9/../libm/sparcv9/libm_hwcap1.so.2

Comment 8 Mladen Turk 2014-01-16 11:04:00 UTC
(In reply to Filip Nguyen from comment #7)
> This version still doesn't work [1]. It probably has some other dependencies
> but I cannot figure out which [2]. Could you assist please?
> 
> [1] 
> bash-4.1# isql eds < query.sql -v
> [01000][unixODBC][Driver Manager]Can't open lib
> '/opt/redhat/jboss-dv/v6/psqlodbc/lib64/psqlodbc.so' : file not found
> [ISQL]ERROR: Could not SQLConnect
> 


Dependency list from ldd looks OK.
Can you setup some box so I can login and check myself?

Comment 9 Filip Nguyen 2014-01-16 11:38:42 UTC
I have sent you the box information via email.

Should you need any assitance, please feel free to ping me on IRC (fnguyen #datavirtualization)

(In reply to Mladen Turk from comment #8)
> (In reply to Filip Nguyen from comment #7)
> > This version still doesn't work [1]. It probably has some other dependencies
> > but I cannot figure out which [2]. Could you assist please?
> > 
> > [1] 
> > bash-4.1# isql eds < query.sql -v
> > [01000][unixODBC][Driver Manager]Can't open lib
> > '/opt/redhat/jboss-dv/v6/psqlodbc/lib64/psqlodbc.so' : file not found
> > [ISQL]ERROR: Could not SQLConnect
> > 
> 
> 
> Dependency list from ldd looks OK.
> Can you setup some box so I can login and check myself?

Comment 10 Filip Nguyen 2014-01-16 12:28:38 UTC
Ok I got it working with the new version, thanks!

Comment 11 belong 2014-01-19 22:44:02 UTC
Van,

Is Comment 3 still valid?

Ben

Comment 12 belong 2014-01-19 22:51:54 UTC
Van, I just saw Bug 1053302...


Note You need to log in before you can comment on or make changes to this bug.